- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes

# QWSQCopMessageEvent Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 324 of file qwsevent_qws.h.

`#include <qwsevent_qws.h>`

Inheritance diagram for QWSQCopMessageEvent:
[legend]

List of all members.

## Classes
struct | SimpleData
## Public Member Functions
| QWSQCopMessageEvent ()
void | setData (const char *d, int len, bool allocateMem=true)
void | setDataDirect (const char *d, int len)
## Public Attributes
struct QWSQCopMessageEvent::SimpleData | simpleData
QByteArray | channel
QByteArray | message
QByteArray | data

## Constructor & Destructor Documentation

QWSQCopMessageEvent | ( |  | ) | `[inline]`

Definition at line 325 of file qwsevent_qws.h.

            : QWSEvent(QWSEvent::QCopMessage, sizeof(simpleData),
                    reinterpret_cast<char*>(&simpleData))
            { memset(reinterpret_cast<char*>(&simpleData),0,sizeof(simpleData)); }

## Member Function Documentation

void setData | ( | const char * | d,
|  | int | len,
|  | bool | allocateMem = `true`
| ) |  | `[inline, virtual]`

Search for all occurrences

Reimplemented from QWSProtocolItem.

Definition at line 330 of file qwsevent_qws.h.

                                                                      {
            QWSEvent::setData(d, len, allocateMem);
            char* p = rawDataPtr;
        channel = QByteArray(p, simpleData.lchannel);
            p += simpleData.lchannel;
            message = QByteArray(p, simpleData.lmessage);
            p += simpleData.lmessage;
            data = QByteArray(p, simpleData.ldata);
        }

void setDataDirect | ( | const char * | d,
|  | int | len
| ) |  | `[inline]`

Search for all occurrences

Definition at line 340 of file qwsevent_qws.h.

                                                   {
            QWSEvent::setData(d, len, false);
            deleteRaw = true;
        }

## Member Data Documentation

struct QWSQCopMessageEvent::SimpleData simpleData

Search for all occurrences

QByteArray channel

Search for all occurrences

Definition at line 352 of file qwsevent_qws.h.

QByteArray message

Search for all occurrences

Definition at line 353 of file qwsevent_qws.h.

QByteArray data

Search for all occurrences

Definition at line 354 of file qwsevent_qws.h.

The documentation for this struct was generated from the following file:

- QtGui/qwsevent_qws.h